Bug 147763

Summary: AX: Bug 147737 is causing test failures in Mavericks WK1
Product: WebKit Reporter: Doug Russell <d_russell>
Component: AccessibilityAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: aboxhall, apinheiro, cfleizach, commit-queue, dmazzoni, jcraig, jdiggs, mario, mmaxfield, samuel_white, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch
none
Patch none

Description Doug Russell 2015-08-06 19:47:28 PDT
Some layout tests are failing in Mavericks WK1
Comment 1 Myles C. Maxfield 2015-08-06 20:18:22 PDT
This has been making our bots red for many revisions. Should we roll out the problem?
Comment 2 Doug Russell 2015-08-06 20:24:20 PDT
(In reply to comment #1)
> This has been making our bots red for many revisions. Should we roll out the
> problem?

The change that led to this is only critical for El Cap+ so I have a patch that skips the test in Yosemite and Mavericks and a wraps the change in a 10.11+ macro. I'd rather have a fix that makes it work on Mavericks, but I think that will take longer and if you'd like this fixed now I can submit the patch I have right now.
Comment 3 Doug Russell 2015-08-06 20:35:21 PDT
Created attachment 258442 [details]
Patch
Comment 4 Myles C. Maxfield 2015-08-06 22:47:11 PDT
Comment on attachment 258442 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=258442&action=review

r=me to get the dashboard green

> Source/WebCore/accessibility/AXObjectCache.cpp:132
> +#if __MAC_OS_X_VERSION_MIN_REQUIRED >= 101100

This macro is only defined if PLATFORM(MAC)

> LayoutTests/platform/mac/TestExpectations:1310
> +webkit.org/b/147763 [ Mavericks ] accessibility/mac/loaded-notification.html [ Skip ]

There should be no need to skip these tests with the #if guard above
Comment 5 chris fleizach 2015-08-07 00:05:03 PDT
looks like iOS build failed to build for real here

The following build commands failed:
	CompileC /Volumes/Data/EWS/WebKit/WebKitBuild/WebCore.build/Release-iphoneos/WebCore.build/Objects-normal/armv7/AXObjectCache.o accessibility/AXObjectCache.cpp normal armv7 c++ com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)

Fa
Comment 6 Doug Russell 2015-08-07 00:33:40 PDT
Created attachment 258466 [details]
Patch
Comment 7 WebKit Commit Bot 2015-08-07 01:32:37 PDT
Comment on attachment 258466 [details]
Patch

Clearing flags on attachment: 258466

Committed r188120: <http://trac.webkit.org/changeset/188120>
Comment 8 WebKit Commit Bot 2015-08-07 01:32:41 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Myles C. Maxfield 2015-12-07 16:04:56 PST
Removing Mavericks-specific lines from platform/mac/TestExpecations due to no longer supporting Mavericks.
Comment 10 Radar WebKit Bug Importer 2015-12-07 16:05:23 PST
<rdar://problem/23792882>
Comment 11 Myles C. Maxfield 2015-12-07 16:10:38 PST
Committed r193663: <http://trac.webkit.org/changeset/193663>